//
//  TTSViewList.h
//  imageViewList
//
//  Created by LDY on 11/15/11.
//  Copyright 2011 www.goodldy.com All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class QFViewListItemV;
@class QFViewListNodeInfo;
@interface QFViewList : NSView {
	NSMutableArray *subDataArrs;
	
	int rowCount;
	int counmCount;
    
    int srcBorndWide;
	
	float x_padding;
	float y_padding;
	
	
	IBOutlet NSScrollView *imageScrollView;
	NSEvent *mouseDownEvent;
	
	
	QFViewListItemV *currDragView;
	
	QFViewListNodeInfo *currSelNode;
	
	NSImage *dragImage;
	BOOL isDraging;
	
	BOOL isCanDrag;
	BOOL isCanDragFile;
	
	int dragIndex;
	
	NSColor *dragLineColor;
	
	NSMutableArray * viewDragRects;
	
	int style;  //  0- 纵向滚动   1－横向滚动
	
	id viewListDelegate;
	NSRect firstViewRect;	
	
	NSView *menuView;
	
	NSArray *superFileTypes;
	
	NSPoint dragImagePoint;
	NSRect parDragFrame;	
	NSString *dragTypeStr;
	
	BOOL isAnimate;
	BOOL isEnable;
	
	BOOL isFirst;
	
	NSImage *bgImage;
	NSColor *bgColor;
}
@property BOOL isEnable;
@property BOOL isCanDrag;
@property BOOL isCanDragFile;
@property int style;
@property BOOL isAnimate;
@property (retain) NSArray* superFileTypes;
@property (assign)NSScrollView *imageScrollView;
@property (retain) NSImage *bgImage;
@property (retain) NSColor *bgColor;
@property (nonatomic, assign) int srcBorndWide;
@property (nonatomic, retain) NSColor *dragLineColor;

-(void)addView:(id)data Index:(int)index;
-(void)moveToPro;
-(void)moveToNext;
-(void)reloadData;
-(void)reloadDataByData:(id)data;
-(void)setViewListDelegate:(id)setTag;
-(NSRect)getFirstViewRect:(BOOL)newRect Index:(int)index;
- (void)setRow:(int)row Counm:(int)counm;
- (void)setFramePad:(float)xPad YPad:(float)yPad;
- (void)setMenuView:(NSView *)setView;
- (void)delViewByData:(id)data;
- (void)removeAllData;
- (void)selectedByData:(id)data;
- (id)getViewByData:(id)data;

@end
